# Web Field Required Invisible Readonly Managerr

This module allows to set a field required, invisible or readonly for users belonging to a specific group.

The field can be required, invisible or readonly in any case, or according to specific conditions.

Table of contents

- Usage
- Known issues / Roadmap
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

Go to Settings > Technical > Models

Select a model > in tab “Custom required fields”, “Custom invisible fields” or “Custom readonly fields” add a line

Select a field, add one or more group and enable flag “Required”, “Invisible” or “Readonly”

If needed, set a condition for which the field should be required, invisible or readonly for users of those groups.

# Known issues / Roadmap

When one model inherits another (e.g. res.users inherits res.partner) and new custom field is created, then same field is created for inheriting model as well, which should be avoided or at least duplicated field should be also manual, but created as base.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Ilyas
- ooops404

## Contributors

- Ooops404:
  - Ilyas <irazor147@gmail.com>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/web project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.